<?php

namespace Fgm\ComposerCheck;


use Symfony\Component\Yaml\Yaml;

class DrushReporter extends ReporterBase {
  public function report(MergeBox $mergeBox) {
    $header = ['Name', 'Kind', 'Requirement', 'Version'];
    $rows = [$header];
    foreach ($mergeBox->getRows() as $kind => $kindPackages) {
      foreach ($kindPackages as $package => $info) {
        $rows["$package/$kind"] = [
          $package,
          $kind,
          $info['requirement'] ?? '',
          $info['version'] ?? '',
        ];
      }
    }
    ksort($rows);
    drush_print_table($rows, FALSE);
  }
}
