<?php

namespace Fgm\ComposerCheck;


class MergeBox {
  protected $packages;

  public function __construct(RequirementsLoader $requirementsLoader, LockLoader $lockLoader) {
  }

  public function merge() {
    $packages = ['dev' => [], 'run' => []];
    foreach ($jsonPackages as $package => $requirement) {
      if ($all || !empty($requirement)) {
        $package = strtolower($package);
        $packages['run'][$package]['requirement'] = $requirement;
      }
    }
    foreach ($jsonDevPackages as $package => $requirement) {
      if ($all || !empty($requirement)) {
        $package = strtolower($package);
        $packages['dev'][$package]['requirement'] = $requirement;
      }
    }
    foreach ($lockPackages as $packageInfo) {
      $package = strtolower($packageInfo['name']);
      if ($all || !empty($packages['run'][$package])) {
        $version = $packageInfo['version'];
        $packages['run'][$package]['version'] = $version;
      }
    }
    foreach ($lockDevPackages as $packageInfo) {
      $package = strtolower($packageInfo['name']);
      if ($all || !empty($packages['dev'][$package])) {
        $version = $packageInfo['version'];
        $packages['dev'][$package]['version'] = $version;
      }
    }
    ksort($packages['dev']);
    ksort($packages['run']);
  }

  /**
   * @return array
   */
  public function getRows() {

  }
}
